Skip to content

Get the default access authorization policy for the application

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the default access authorization strategy for the application

Method name

ManagementClient.get_application_permission_strategy

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

Request Response

Type: GetApplicationPermissionStrategyRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. This is returned when the request fails.
data<a GetApplicationPermissionStrategyDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "permissionStrategy": "ALLOW_ALL"
  }
}

Data Structure

GetApplicationPermissionStrategyDataDto

NameTypeIs it requiredDescriptionExample value
permissionStrategystringyesApplication access authorization strategyALLOW_ALL

Agent infrastructure for identity, memory, and web action.